> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Associate phone numbers for reputation

> Associate one or more phone numbers with an enterprise for Number Reputation monitoring.

**Validations:**
- Phone numbers must be in E.164 format (e.g., `+16035551234`)
- Phone numbers must be in-service and belong to your account (verified via Warehouse)
- Phone numbers must be US local numbers
- Phone numbers cannot already be associated with any enterprise

**Note:** This operation is atomic — if any number fails validation, the entire request fails.

**Maximum:** 100 phone numbers per request.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/number-reputation/phone-numbers.yml post /enterprises/{enterprise_id}/reputation/numbers
openapi: 3.1.0
info:
  title: Telnyx Phone Number Reputation API
  version: 2.0.0
  description: >-
    Associate phone numbers for reputation monitoring, query spam scores and
    risk levels, and manage ongoing monitoring. Includes simplified endpoints
    for single-enterprise accounts.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /enterprises/{enterprise_id}/reputation/numbers:
    post:
      tags:
        - Reputation Phone Numbers
      summary: Associate phone numbers for reputation
      description: >-
        Associate one or more phone numbers with an enterprise for Number
        Reputation monitoring.


        **Validations:**

        - Phone numbers must be in E.164 format (e.g., `+16035551234`)

        - Phone numbers must be in-service and belong to your account (verified
        via Warehouse)

        - Phone numbers must be US local numbers

        - Phone numbers cannot already be associated with any enterprise


        **Note:** This operation is atomic — if any number fails validation, the
        entire request fails.


        **Maximum:** 100 phone numbers per request.
      operationId: AssociateReputationNumbers
      parameters:
        - $ref: '#/components/parameters/EnterpriseId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReputationPhoneNumberCreate'
      responses:
        '201':
          description: Phone numbers associated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReputationPhoneNumberList'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.enterprises.reputation.numbers.associate(
              '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
              { phone_numbers: ['+16035551234'] },
            );


            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.enterprises.reputation.numbers.associate(
                enterprise_id="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
                phone_numbers=["+16035551234"],
            )
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Enterprises.Reputation.Numbers.Associate(\n\t\tcontext.TODO(),\n\t\t\"6a09cdc3-8948-47f0-aa62-74ac943d6c58\",\n\t\ttelnyx.EnterpriseReputationNumberAssociateParams{\n\t\t\tPhoneNumbers: []string{\"+16035551234\"},\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.enterprises.reputation.numbers.NumberAssociateParams;

            import
            com.telnyx.sdk.models.enterprises.reputation.numbers.NumberAssociateResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    NumberAssociateParams params = NumberAssociateParams.builder()
                        .enterpriseId("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
                        .addPhoneNumber("+16035551234")
                        .build();
                    NumberAssociateResponse response = client.enterprises().reputation().numbers().associate(params);
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            response = telnyx.enterprises.reputation.numbers.associate(
              "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
              phone_numbers: ["+16035551234"]
            )

            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client->enterprises->reputation->numbers->associate(
                '6a09cdc3-8948-47f0-aa62-74ac943d6c58', phoneNumbers: ['+16035551234']
              );

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx enterprises:reputation:numbers associate \
              --api-key 'My API Key' \
              --enterprise-id 6a09cdc3-8948-47f0-aa62-74ac943d6c58 \
              --phone-number "'+16035551234'"
components:
  parameters:
    EnterpriseId:
      name: enterprise_id
      in: path
      required: true
      description: Unique identifier of the enterprise (UUID)
      schema:
        type: string
        format: uuid
        example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
  schemas:
    ReputationPhoneNumberCreate:
      type: object
      required:
        - phone_numbers
      properties:
        phone_numbers:
          type: array
          minItems: 1
          maxItems: 100
          items:
            type: string
            description: Phone number in E.164 format
            example: '+16035551234'
          description: >-
            List of phone numbers to associate for reputation monitoring (max
            100)
    ReputationPhoneNumberList:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ReputationPhoneNumberPublic'
        meta:
          $ref: '#/components/schemas/MetaInfo'
    ReputationPhoneNumberPublic:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier
        phone_number:
          type: string
          description: Phone number in E.164 format
          example: '+16035551234'
        enterprise_id:
          type: string
          format: uuid
          description: ID of the associated enterprise
        created_at:
          type: string
          format: date-time
          description: When the number was associated
        updated_at:
          type: string
          format: date-time
          description: When the record was last updated
    MetaInfo:
      type: object
      properties:
        page_number:
          type: integer
          description: Current page number
        page_size:
          type: integer
          description: Items per page
        total_results:
          type: integer
          description: Total number of results
        total_pages:
          type: integer
          description: Total number of pages
    branded-calling_ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/TelnyxError'
    TelnyxError:
      type: object
      properties:
        code:
          type: string
          description: Telnyx error code
          example: '10015'
        title:
          type: string
          description: Short error title
          example: Bad Request
        detail:
          type: string
          description: Human-readable error detail
          example: User has already agreed to Terms of Service version v1.0.0
        meta:
          type: object
          properties:
            url:
              type: string
              format: uri
              description: Link to error documentation
        source:
          type: object
          description: Reference to the field that caused the error
          properties:
            pointer:
              type: string
              description: JSON pointer (RFC6901) to the field that caused the error
              example: /body/organization_type
      required:
        - code
        - title
  responses:
    BadRequest:
      description: Bad request — invalid input or validation error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/branded-calling_ErrorResponse'
    Unauthorized:
      description: Unauthorized — missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/branded-calling_ErrorResponse'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/branded-calling_ErrorResponse'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````